Purchase CRM subscription
This endpoint allows you to purchase a CRM subscription. After the operation is performed, our team will configure a CRM environment for you.
The id path parameter represents the unique CRM subscription plan identifier.
CRM plan IDs must be retrieved from the following endpoint: GET /api/v1/crm/plans.
Each CRM plan returned by that endpoint contains a unique id field that should be used when purchasing a subscription.
Path Parameters
CRM subscription plan unique id
1 <= valueHeader Parameters
Your API token
Request Body
application/json
Parameters for your CRM subscription
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api-e.teliqon.io/api/v1/crm/plans/1/purchase" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}